import './index.less'
import {Head} from '@inertiajs/react';
import {Component} from 'react';
import Layout from '@/js/Layout';
import Content from "../../Layout/Content";
import ContractAccount from "./components/ContractAccount";
import ContractTrade from './components/ContractTrade';

interface MyProps {
    info: any
}

interface MyState {
}

class Index extends Component<MyProps, MyState> {
    constructor(props) {
        super(props);
    }


    shouldComponentUpdate(next: any, old: any): boolean {
        return true;
    }

    render() {
        return (
            <Layout>
                <Head title={this.props.info.title}></Head>
                <Content>
                    <div className='contract-trade-page'>
                        <ContractAccount></ContractAccount>
                        <ContractTrade></ContractTrade>
                    </div>
                </Content>
            </Layout>
        )
    }
}

export default Index;
